// src/continuous/draw/pure.ts
function calculateLine(canvasHeight, value) {
  let fraction = value / 255;
  if (fraction < 0.05)
    fraction += 0.05;
  const start = canvasHeight / 2 * fraction;
  const end = canvasHeight - start;
  return { start, end };
}

export {
  calculateLine
};
