"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/continuous/draw/pure.ts
var pure_exports = {};
__export(pure_exports, {
  calculateLine: () => calculateLine
});
module.exports = __toCommonJS(pure_exports);
function calculateLine(canvasHeight, value) {
  let fraction = value / 255;
  if (fraction < 0.05)
    fraction += 0.05;
  const start = canvasHeight / 2 * fraction;
  const end = canvasHeight - start;
  return { start, end };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  calculateLine
});
