"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/common/draw/pure.ts
var pure_exports = {};
__export(pure_exports, {
  widthFromOption: () => widthFromOption
});
module.exports = __toCommonJS(pure_exports);
var THICKNESS_MAP = {
  thin: 1,
  default: 2,
  thick: 2.75
};
function widthFromOption(lineWidth, canvasWidth) {
  if (typeof lineWidth === "number")
    return lineWidth;
  return THICKNESS_MAP[lineWidth] / 300 * canvasWidth;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  widthFromOption
});
