"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/continuous/wave/pure.ts
var pure_exports = {};
__export(pure_exports, {
  frequencyValue: () => frequencyValue,
  waveForm: () => waveForm,
  waveFormUint: () => waveFormUint
});
module.exports = __toCommonJS(pure_exports);
function waveFormUint(array) {
  let min = 256;
  let max = -1;
  for (let current of array) {
    if (current < min)
      min = current;
    if (current > max)
      max = current;
  }
  return max - min;
}
function waveForm(array) {
  let min = Infinity;
  let max = -Infinity;
  for (let current of array) {
    if (current < min)
      min = current;
    if (current > max)
      max = current;
  }
  return max - min;
}
function frequencyValue(audioData) {
  return 255 - waveFormUint(audioData);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  frequencyValue,
  waveForm,
  waveFormUint
});
